## NAME

t.rast.out.vtk - Exports space time raster dataset as VTK time series.

## KEYWORDS

temporal, export, output, raster, VTK, time

## SYNOPSIS

t.rast.out.vtk
t.rast.out.vtk --help
t.rast.out.vtk [-pcg] input=name directory=string [elevation=name] [where=sql_query] [null=float] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-p
  Create VTK point data instead of VTK cell data (if no elevation map is given)
-c
  Correct the coordinates to fit the VTK-OpenGL precision
-g
  Export files using the space time dataset granularity for equidistant time between maps, where statement will be ignored
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of the input space time raster dataset
directory=string [required]
  Path to the export directory
elevation=name
  Name of input elevation raster map
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword used in the temporal GIS framework
  Example: start_time > '2001-01-01 12:30:00'
null=float
  Value to represent no data cell
  Default: -99999.99

## DESCRIPTION

This module exports all maps registered in a space time raster datasets as VTK legacy files using a numerical numbering scheme. The VTK files can be visualized with any VTK based visualize. Our preferred tool is ParaView. The VTK legacy files are created using r.out.vtk.

## EXAMPLE

In this simple example we create several raster maps with random values and one elevation map. The random value raster maps are registered in a space time raster dataset. All maps of this space time raster dataset are exported using t.rast.out.vtk into the directory /tmp/export.

    mkdir /tmp/export
    t.rast.out.vtk input=precip_abs directory=/tmp/export/ elevation=elevation

    ls -1 /tmp/export
    000000_tempmean_monthly.vtk
    000001_tempmean_monthly.vtk
    000002_tempmean_monthly.vtk
    000003_tempmean_monthly.vtk
    000004_tempmean_monthly.vtk
    000005_tempmean_monthly.vtk
    000006_tempmean_monthly.vtk
    000007_tempmean_monthly.vtk
    000008_tempmean_monthly.vtk
    000009_tempmean_monthly.vtk
    000010_tempmean_monthly.vtk
    000011_tempmean_monthly.vtk

## SEE ALSO

r.out.vtk, ParaView

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

## SOURCE CODE

Available at: t.rast.out.vtk source code (history)

Latest change: Wed Aug 26 21:28:26 2020 in commit: 005c4cba065d9881a5e9b8265133eef76b473aba

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual